Subject: Re: bug#32348: 27.0.50; EWW/SHR: Please add support for hiding DOM nodes with aria-hidden=true

From: Eli Zaretskii <[email-masked]>
Date: Thu, 16 Aug 2018 16:21:46 +0300

> From: Noam Postavsky <[email-masked]>
> Date: Wed, 15 Aug 2018 19:51:40 -0400
> Cc: [email-masked]
> 
> I've updated my previous patch with some more documentation, so that
> someone who doesn't know anything about "aria-hidden" (e.g., me, before
> this thread) could have some chance of figuring out what it's good for.
> I'll push to master in a few days.

Thanks, I think the NEWS entry should tell a bit more about the new
option.

> +@vindex shr-discard-aria-hidden
> +@cindex aria-hidden

@cindex could be more reader-friendly, e.g.

  @cindex @code{aria-hidden}, HTML attribute

> +  The HTML attribute @code{aria-hidden} is meant to tell screen
> +readers to ignore a tag's contents.  You can customize the variable
> +@code{shr-discard-aria-hidden} to tell @code{shr} to ignore such tags.
> +This can be useful when using a screen reader on the output of
> +@code{shr} (e.g., on EWW buffer text).  Or even when not using a
> +screen reader, since web authors often put this tag on non-essential
> +decorative content.

The last sentence is incomplete, suggest to either make it part of the
previous one, or say something like "It can be useful even when not..."

Thanks.